#!/bin/bash
# Convert list of eggdoc files in $1 to texi, info and pdf.
# I obtained a list of such files in the SVN repository with
#   find ~/scheme/chicken-eggs -name "*.scm" -print0 | xargs -0 grep -l eggdoc:begin
# with a couple false positives.
# I then split the files up with 
#   split -l 15 eggdocs.txt eggdocs.txt.
# for easier processing.

EXTRAS=/Users/jim/scheme/eggdoc-texinfo/extras
T=$EXTRAS/eggdoc-html-to-texi.sh

for i in `cat $1`; do
	echo "Converting $i..."
	$T "$i" || exit 1
done

